# B2B Virtual Account Payment Method
Flexible and secure payment method for B2B market segments using virtual accounts.

## Version: 1

### Servers

| URL | Description |
| --- | ----------- |
| https://sandbox.api.visa.com | Sandbox server |

---
## Buyer Management Service
The Buyer Service provides self-service capabilities that simplify and reduce the implementation process for new VPA buyers (and other downstream systems). Buyers can be created from scratch or from a pre-defined Buyer Template. Either way, these APIs help streamline the process and increase the speed of buyer deployments, as well as provide third parties with insight into the buyers configurations for troubleshooting. For more details about the requirements for creating a buyer, please reference the <a href="/pages/B2B-virtual-account-payment-method-codes#buyer_setup_details">Buyer Setup Details</a> page.

### [PATCH] /vpa/v1/buyerManagement/buyerTemplate/update
**Update Buyer Template**

#### Request Body

Details of the values in the Template to be updated

| Required | Schema |
| -------- | ------ |
|  Yes | **application/json**: { **"clientId"**: string, **"messageId"**: string, **"vanConfig"**: { **"fcsBankId"**: string, **"vanEnabled"**: boolean }, **"templateId"**: string, **"contactInfo"**: { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer }, **"proxyConfig"**: { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean }, **"templateName"**: string, **"billingConfig"**: { **"billingBID"**: string, **"billingType"**: string }, **"paymentConfig"**: { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean }, **"processorConfig"**: { **"closeAccount"**: boolean }, **"stpPaymentConfig"**: { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean }, **"syncBuyerProfiles"**: boolean, **"webServicesConfig"**: { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean }, **"boostPaymentConfig"**: { **"boostPaymentEnabled"**: boolean }, **"buyerFeatureConfig"**: { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean }, **"stripePaymentConfig"**: { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean }, **"templateDescription"**: string, **"virtualAccountConfig"**: { **"virtualAccountType"**: string, **"additionalParameters"**: [ { **"parameterName"**: string, <br>**Available values:** "fcsBankId", **"parameterValue"**: string } ] }, **"paymentSecurityConfig"**: { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean }, **"approvalWorkflowConfig"**: { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] }, **"reconciliationFileConfig"**: { **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean }, **"paymentNotificationConfig"**: { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean }, **"authorizationControlConfig"**: { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } }<br> |

#### Responses

| Code | Description | Schema |
| ---- | ----------- | ------ |
| 200 | OK | **application/json**: { **"responseObject"**: { **"templateId"**: string }, **"responseStatus"**: { **"status"**: string, <br>**Available values:** "success", "error", **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } }<br> |

---
### Schemas

#### UpdateBuyerRequest Schema

Profile details of the buyer being updated.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| clientId | string | ClientID uniquely identifies a financial institution. This will be provided by Visa implementation team. | Yes |
| messageId | string | Unique identifier for this request. Each request sent to VPA requires its own unique ID. | Yes |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean, **"admClientId"**: string, **"mcADMOptionId"**: string, **"processingType"**: string, **"visaADMOptionId"**: string } |  | No |
| contactInfo | { **"city"**: string, **"state"**: string, **"phone1"**: string, **"phone2"**: string, **"phone3"**: string, **"buyerId"**: string, **"zipCode"**: string, **"phone1Ext"**: string, **"phone2Ext"**: string, **"phone3Ext"**: string, **"contactName"**: string, **"countryCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | Yes |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | No |
| processorConfig | { **"processorFields"**: object, **"closeAccountEnabled"**: boolean } | This section is used if the issuer has processor integration enabled.  When using processor PANs, the following processors can be enabled for processor integration: FIS, FDR, TS1, TS2, and TSUK.    When using Visa Pseudo accounts or TSYS VANs, processor integration is not required but if it is enabled the system goes to the processor to retrieve the latest values (such as expiry date, current balance and available balance for the funding accounts).  The fields vary for each processor so refer to the details <a href="/pages/B2B-virtual-account-payment-method-codes#buyer_setup_details"> Buyer Setup Details </a> page for more information on which fields are required for each processor. If using TSYS VPP VANs or Visa VIP Pseudo Accounts, defaults values can be used.  Please refer to the Buyer Setup Details page for the defaults | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"accountHolderLastName"**: string, **"accountHolderFirstName"**: string, **"remittanceNotificationEnabled"**: boolean } |  | No |
| paymentFileConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"recipientLoginIds"**: [ string ] } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string, <br>**Available values:** "AUCL", "LCRC", "PYIN", "PYRN" ] } |  | No |
| reconciliationFileConfig | { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"deliveryTime"**: string, **"templateName"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ], **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: date, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | No |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"templateId"**: string, **"deliveryTime"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ] } |  | No |

#### CreateBuyerTemplateRequest-4 Schema

Create Buyer Template Request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| clientId | string | ClientID associated with the bank. This will be provided by Visa implementation team. | Yes |
| messageId | string | Unique identifier for identifying the request. | Yes |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } |  | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Client-provided name of the template. Alphanumeric. No special characters other than _ - * & ' ! , . '#' and â€“ (Dash) are allowed. It has to be unique within a Bank. | Yes |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | Yes |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"vbdsDataSubscription"**: [ { **"dataSubscriptionType"**: number, **"dataSubscriptionAccountType"**: [ { **"subscribed"**: boolean, **"accountType"**: string } ] } ], **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Client-defined template description. Supports AlphaNumeric characters. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | Yes |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### CreateBuyerTemplateRequest-3 Schema

Create Buyer Template Request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| clientId | string | ClientID associated with the bank. This will be provided by Visa implementation team. | Yes |
| messageId | string | Unique identifier for identifying the request. | Yes |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } |  | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Client-provided name of the template. Alphanumeric. No special characters other than _ - * & ' ! , . '#' and â€“ (Dash) are allowed. It has to be unique within a Bank. | Yes |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | Yes |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"vbdsDataSubscription"**: [ { **"dataSubscriptionType"**: number, **"dataSubscriptionAccountType"**: [ { **"subscribed"**: boolean, **"accountType"**: string } ] } ], **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Client-defined template description. Supports AlphaNumeric characters. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | Yes |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### ErrorItem Schema

Error Item

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorCode | string |  | No |
| errorDescription | string |  | No |

#### CreateBuyerTemplateRequest-5 Schema

Create Buyer Template Request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| clientId | string | ClientID associated with the bank. This will be provided by Visa implementation team. | Yes |
| messageId | string | Unique identifier for identifying the request. | Yes |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } |  | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Client-provided name of the template. Alphanumeric. No special characters other than _ - * & ' ! , . '#' and â€“ (Dash) are allowed. It has to be unique within a Bank. | Yes |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | Yes |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"vbdsDataSubscription"**: [ { **"dataSubscriptionType"**: number, **"dataSubscriptionAccountType"**: [ { **"subscribed"**: boolean, **"accountType"**: string } ] } ], **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Client-defined template description. Supports AlphaNumeric characters. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | Yes |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### CreateBuyerTemplateRequest-2 Schema

Create Buyer Template Request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| clientId | string | ClientID associated with the bank. This will be provided by Visa implementation team. | Yes |
| messageId | string | Unique identifier for identifying the request. | Yes |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } | Deprecated — superseded by virtualAccountConfig. Still supported for backward compatibility. | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Client-provided name of the template. Alphanumeric. No special characters other than _ - * & ' ! , . '#' and â€“ (Dash) are allowed. It has to be unique within a Bank. | Yes |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | Yes |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Client-defined template description. Supports AlphaNumeric characters. | No |
| virtualAccountConfig | { **"virtualAccountType"**: string, **"additionalParameters"**: [ { **"parameterName"**: string, <br>**Available values:** "fcsBankId", **"parameterValue"**: string } ] } | Virtual account configuration for a buyer template. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | Yes |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### CreateBuyerTemplateRequest-1 Schema

Create Buyer Template Request

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| clientId | string | ClientID associated with the bank. This will be provided by Visa implementation team. | Yes |
| messageId | string | Unique identifier for identifying the request. | Yes |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } |  | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Client-provided name of the template. Alphanumeric. No special characters other than _ - * & ' ! , . '#' and â€“ (Dash) are allowed. It has to be unique within a Bank. | Yes |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | Yes |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Client-defined template description. Supports AlphaNumeric characters. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | Yes |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### UpdateBillingConfig Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| billingBID | string | The 11 digit Visa Billing BID that will be billed for the service. This is in the format of 8 digit Visa BID plus 3 digit country code. E.g. 12345678840 where 840 is country code for United States. | No |
| billingType | string | Identifies who will be billed for use of the service.  Valid Values are I, T or M.  Select I if the issuer will be billed (standard). Select T if Third party / fintech will be billed. Select M if billing needs to be manually billed (not common). | No |

#### BErrorResponse Schema

Create Buyer Template Error Response

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| errorObject | { **"errorList"**: [ { **"errorCode"**: string, **"errorDescription"**: string } ] } | Error object | No |
| responseStatus | { **"status"**: string, <br>**Available values:** "success", "error", **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } | Default API Response | No |

#### UpdateWebServicesConfig-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| apiCodes | [ string ] |  | No |
| clientId | string | Reserved for Future use. The system will default the client ID to what is set for the bank. | No |
| vbdsClientId | string | vbdsClientId is the unique id generated for third parties wanting to subscribe for auth/settlement data in VBDS system. Should be numeric.  Can be set at any time if it is blank.  But cannot be changed if it is already set if the sync Buyer Profiles field is set to true. | No |
| webServicesEnabled | boolean | Denotes if the web services is enabled for the template (Buyer).  Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for this Option. Can be enabled (set to true) at any time.  But cannot be disabled if sync Buyer Profiles field is set to true. | No |
| suppressSupplierNotification | boolean | Denotes if all supplier notifications needs to be suppressed.  If this field is set to true, then the web service consumers should handle the supplier communication themselves. Valid Values are 'True' or 'False'. This field can be edited at any time. | No |

#### ReconciliationFileConfigForCreate-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileLevel | string | Denotes if the recon COMM File configuration is defined to be delivered to the bank(B) or Company (C).  Valid values are B - Bank and C - Company. | No |
| commFileId | string | Denotes the Comm File ID associated with the recon file outbound. Required if the file level is B. The Visa implementation team provides this value after the outbound recon file configuration has been completed. | No |
| fileFormat | integer | Denotes the format in which the recon file needs to be generated. Needs to be numeric. Valid values are 1 – XLS V0, 2 – CSV V0, 3 -  XLS V1, 4 – CSV V1 | No |
| deliveryTime | string | Denotes the delivery type or day when the recon file needs to be generated and delivered. If the value for this field (the tag is not sent) is not provided, the system defaults it to'1:00' AM for the daily frequency and 2 for weekly and 1 for monthly frequency.   Valid format for the time for the daily frequency is 'HH:MM' in 24 hours format.  Valid values for the Weekly frequency  1 to 7 denoting the days.  1 being Sunday and 7 being Saturday and Monthly Frequency 1 to 31 | No |
| templateName | string | Denotes the name of the recon template to be used for generating the reconciliation file. If the value for this field (the tag is not sent) is not provided, the system defaults it to the latest recon standard template. | No |
| deliveryFrequency | integer | Denotes the frequency in which the recon file needs to be delivered. Needs to be numeric. Valid values are 1 – Daily 2 – Weekly 3 - Monthly | No |
| recipientLoginIds | [ string ] | Contains the list of user ids of bank/buyer users who will be receiving the recon file in their VOL mailbox. You can setup upto 80 user ids to receive the recon file. The user ids should have the VOL mailbox service entitled to them. | No |
| adhocReconciliationReportEnabled | boolean | Denotes if Adhoc Reconciliation functionality is enabled for the buyer. If the value for this field (the tag is not sent) is not provided, the system defaults it to False.   Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for Adhoc Reconciliation. | No |
| onlinePaymentReconciliationEnabled | boolean | Denotes if Online payment Reconciliation functionality is enabled for the buyers.  If the value for this field (the tag is not sent) is not provided, the system defaults it to False.   Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for Online Payment Reconciliation. | No |

#### VanConfigForGet Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fcsBankId | string | Denotes the Bank Identifier in the TSYS VPP FCS system.  If the value for this field (the tag is not sent) is not provided, the system defaults it to the bank FCS ID if there is only one setup at the bank level. Supports alphanumeric values. Required if the buyer is enabled for VANs. | No |
| vanEnabled | boolean | Denotes if "VANs" (VPP Tokens) are enabled for the buyer. Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for this Option. | No |
| aceClientId | string | Denotes the  number used to identify the bank on the Tsys ACE Decision Max system for account assignment.<br>**Read-only** | No |
| admClientId | string | Denotes the number the TSYS VPP system uses to identify the company on the ACE Decision Max system for account assignment. | No |
| mcADMOptionId | string | Denotes the option that will be used to assign the virtual account number in the TSYS VPP platform. For the TS1 platform only, the option must be set up to assign a virtual account number from the same BIN as the primary account number. This field will be populated only if it is a Mastercard Bank. | No |
| processingType | string | Denotes the Processing type for the virtual account number (VAN). | No |
| visaADMOptionId | string | Denotes the option that will be used to assign the virtual account number in the TSYS VPP platform. For the TS1 platform only, the option must be set up to assign a virtual account number from the same BIN as the primary account number. This field will be populated only if it is a Visa Bank. | No |
| settlementExpirationDays | integer | Denotes the number of days after which settlement will not be honored on the virtual account (VAN).<br>**Read-only** | No |

#### UpdateRVAReconciliationFileConfig Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| commFileId | string | Comm file Id refers to Comm File info associated with the Request Virtua Account recon file outbound delivery. Required if RVAReconFileDelivery is set to Comms.  This field Can be edited at any time. | No |
| templateId | string | Denotes the template identifier associated with the RVA recon template to be used for generating the RVA recon file. This field Can be edited at any time. | No |

#### GetPaymentSecurityConfig Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| customSecurityQuestions | [ string ] | The questions (text) which will be used at random (Only one of the questions will be displayed) to authenticate the supplier when they click on the URL sent in the payment advice notification for viewing the full card details. The system sends the security questions and answers to the supplier when the supplier is setup for the buyer.  At least one question needs to be sent if custom security question is enabled for the template. | No |
| defaultSecurityQuestion | string | Denotes the text for the default security question which will be displayed to the supplier when they click on the URL sent in the payment advice notification for viewing the full card details. | No |
| defaultSecurityFieldCode | string | Denotes the field system uses to authenticate the supplier when they click on the URL sent in the payment advice notification for viewing the full card details. | No |
| customSecurityQuestionsEnabled | boolean | Denotes if the buyer wants to use custom security questions to authenticate the supplier when they click on the URL sent in the payment advice notification for viewing the full card details. | No |

#### ProxyConfigForCreate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| holdDays | string | Denotes the number of days an account picked up for a payment in a proxy will be kept on hold before being used for another payment.  For payments, the hold days start from the day the payment was processed and for Request Virtual Account, the hold days start from the day the end date of the RVA has reached. Should be a numeric value between 1 to 999. If the value for this field (the tag is not sent) is not provided, the system defaults it to 90 days. | No |
| autoRefreshEnabled | boolean | Denotes if auto replenishment is enabled for proxies associated with the buyer.  If the value for this field (the tag is not sent) is not provided, the system defaults it to False for memo account buyers and to true for VIP and VPP enabled buyers.   The value of this field should be set to true for VIP and VPP enabled buyers.  Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for auto replenishment. | No |
| bucketedProxyEnabled | boolean | Denotes if bucketed proxy is enabled for proxies associated with the buyer.  If the value for this field (the tag is not sent) is not provided, the system defaults it to False.   Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for bucketed proxy. | No |

#### StpPaymentConfigForCreate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| stpPaymentEnabled | boolean | Denotes if STP payments is enabled for the buyer.  Optional field. If the value for this field (the tag is not sent) is not provided, the system defaults it to 'False'. Valid values are 'True' or 'False'. This field can be set to true only if the bank STP Payment option is set to  'True'. | No |
| accountHolderLastName | string | Denotes the Account Holder Last Name which will be used while processing the STP payment. If the value for this field (the tag is not sent) is not provided, system defaults to the buyer primary contact person's name (The value from the first space character until the end of the field will be used as the last name). | No |
| accountHolderFirstName | string | Denotes the Account Holder First Name which will be used while processing the STP payment. If the value for this field (the tag is not sent) is not provided, system defaults to the buyer primary contact person's name (The value upto the first space character will be used as the first name) | No |
| remittanceNotificationEnabled | boolean | Denotes if the STP Payment Remittance notification is enabled for a buyer.  Optional field. If the value for this field (the tag is not sent) is not provided, the system defaults it to 'False'. Valid values are 'True' or 'False'. This field can be set to true only if the bank STP Payment Remittance Notification option is set to 'True'. The STP supplier will be getting the payment remittance notification only if this field is enabled. | No |

#### VirtualAccountConfigForCreate Schema

Virtual account configuration supplied when creating a buyer.

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| virtualAccountType | string | Virtual account type for the buyer. Valid values are '1' (processor PANs), '2' (VIP token), '3' (VPP token) and '4' (visa-virtual-card). No other value is accepted. | Yes |
| additionalParameters | [ { **"parameterName"**: string, <br>**Available values:** "fcsBankId", "admClientId", "processingType", "visaADMOptionId", "mcADMOptionId", **"parameterValue"**: string } ] | Additional parameters for the virtual account configuration. Required for virtualAccountType '3' (VPP): 'fcsBankId', 'admClientId' and 'processingType' are always required, and at least one of 'visaADMOptionId' or 'mcADMOptionId' is also required. Not required for virtualAccountType '2' (VIP) or '4' (visa-virtual-card). | No |

#### ContactInfoForCreate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| city | string | Contains the City Name of the buyer's contact address. | Yes |
| state | string | Contains the state of the buyer's contact address. | No |
| phone1 | string | Contains the buyer contact phone number 1. Field is alphanuemeric. Special characters allowed are - (dash), ( (Open braces),) (close braces). | No |
| phone2 | string | Contains the buyer contact phone number 2. Field is alphanumeric. Special characters allowed are - (dash), ( (Open braces),) (close braces). | No |
| phone3 | string | Contains the buyer contact phone number 3. Field is alphanumeric. Special characters allowed are - (dash), ( (Open braces),) (close braces). | No |
| buyerId | string | Contains the buyer identifier as defined in Visa Payables Automation. This is often the ID defined at the processor. Value format is 0–9. It is a mandatory field. | No |
| zipCode | string | Optional. Contains the Postal Code of the buyer's contact address.  Do not include special characters, e.g. hyphen, in the zipcode.  If a special character is provided it will be removed and processed with only nine digits. Null is allowed. | Yes |
| buyerName | string | Contains the name of the buyer.  It is a mandatory field. | Yes |
| companyId | string | Contains the buyer identifier as defined at the issuer processor. Value format is 0–9. It is a mandatory field. | Yes |
| phone1Ext | string | Contains the extension of the buyer contact phone number 1. Field is alphanumeric. Special characters allowed are - (dash), ( (Open braces),) (close braces). | No |
| phone2Ext | string | Contains the extension of the buyer contact phone number 2. Field is alphanumeric. Special characters allowed are - (dash), ( (Open braces),) (close braces). | No |
| phone3Ext | string | Contains the extension of the buyer contact phone number 3. Field is alphanumeric. Special characters allowed are - (dash), ( (Open braces),) (close braces). | No |
| templateId | string | Contains the unique identifier for a Template asscoiated with the bank. Template id of the template which was sent in the response when you created a new template.  This field should be blank if the buyer is created without a template. | No |
| contactName | string | Contains the name of the primary contact person in the buyer. The input should be alphabets. | Yes |
| countryCode | string | Contains the ISO alpha country code of the buyer's contact address. For example- USA. | Yes |
| addressLine1 | string | Contains the line 1 of the buyer's contact address. | Yes |
| addressLine2 | string | Contains the line 2 of the buyer's contact address. | No |
| addressLine3 | string | Contains the line 3 of the buyer's contact address. | No |
| emailAddress | string | Contains the buyer's contact Email Address.  Should be an valid email address. | No |
| implementationType | integer | Valid Values are:1 – VPA UI, 2 – VPA API and 3 – Visa Commercial Pay.  Select 1 if buyer will use VPA user interface  (issuer direct use of VPA).  Select 2 if buyer is created by a third party fintech and will use the VPA APIs.  Select 3 if buyer is created in VPA for Visa Commercial Pay service. | No |

#### BuyerFeatureConfigForGetV2-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| cardMaskingDigits | string | Denotes the number of digits that will be masked for the card number when displayed in all places other than UI like the recon file, response file, etc. | No |
| vcfDataFeedIndicator | string | Denotes if the financial institution will be providing buyer/business(VCF) data for the buyer. Valid Values are 'Y' and 'N'. | No |
| pseudoAccountsEnabled | boolean | Denotes if "Pseudo Accounts" (VIP Tokens) option is enabled for the buyer. | No |
| fullAccountViewEnabled | boolean | Denotes if "Full Account View" functionality is enabled for the buyer. | No |
| cardMaskingDigitsOnline | string | Denotes the number of digits that will be masked for the card number when displayed in the UI. | No |
| onlinePaymentInstructionEnabled | boolean | Denotes if Online payment instruction (Pay Now) functionality is enabled for the buyer. | No |
| onlinePaymentRequisitionEnabled | boolean | Denotes if Online payment Requisition functionality is enabled for the buyer. | No |

#### ContactInfoForGet Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| city | string | Contains the City Name of the buyer's contact address. | No |
| state | string | Contains the state of the buyer's contact address. | No |
| phone1 | string | Contains the buyer contact phone number 1. | No |
| phone2 | string | Contains the buyer contact phone number 2. | No |
| phone3 | string | Contains the buyer contact phone number 3. | No |
| buyerId | string | Contains the buyer identifier as defined in Visa Payables Automation. This is often the ID defined at the processor. | No |
| zipCode | string | Contains the Postal Code of the buyer's contact address. | No |
| buyerName | string | Contains the name of the buyer. | No |
| companyId | string | Contains the company identifier as defined at the issuer processor. | No |
| phone1Ext | string | Contains the extension of the buyer contact phone number 1. | No |
| phone2Ext | string | Contains the extension of the buyer contact phone number 2. | No |
| phone3Ext | string | Contains the extension of the buyer contact phone number 3. | No |
| templateId | string | Contains the unique identifier for a Template asscoiated with the bank. | No |
| contactName | string | Contains the name of the primary contact person in the buyer | No |
| countryCode | string | Contains the ISO alpha country code of the buyer's contact address. For example- USA. | No |
| addressLine1 | string | Contains the line 1 of the buyer's contact address. | No |
| addressLine2 | string | Contains the line 2 of the buyer's contact address. | No |
| addressLine3 | string | Contains the line 3 of the buyer's contact address. | No |
| emailAddress | string | Contains the buyer's contact Email Address. | No |
| implementationType | integer | Valid Values are:1 – VPA UI, 2 – VPA API and 3 – Visa Commercial Pay.  1 denotes buyer uses VPA UI (issuer direct use of VPA).  2 denotes buyer using a third party fintech user interface and third party is using VPA APIs.  3 denotes buyer uses Visa Commercial Pay service. | No |

#### WebServicesConfigForGetV2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| apiCodes | [ string ] | Denotes the codes associated with APIs which needs to be enabled for the buyer.  The APIs should be a subset of what is enabled for the bank.  The API codes and the corresponding APIs can be found below .... | No |
| clientId | string | Denotes the client id associated with the bank under which the buyer is being created.  The Visa implementation team will be providing this. | No |
| vbdsClientId | string | vbdsClientId is the unique id generated for third parties wanting to subscribe for auth/settlement data in VBDS system. | No |
| webServicesEnabled | boolean | Denotes if the web services is enabled for the Buyer. Valid Values are 'True' and 'False'. | No |
| vbdsDataSubscription | [ { **"dataSubscriptionType"**: number, **"dataSubscriptionAccountType"**: [ { **"subscribed"**: boolean, **"accountType"**: string } ] } ] | This complex element captures information about the subscription to Data APIs. This is optional and if this object is not provided, the subscription defaults to bank configuration for the given vbdsClientId. | No |
| suppressSupplierNotification | boolean | Denotes if all supplier notifications needs to be suppressed.  If this field is set to true, then the web service consumers should handle the supplier communication themselves. Valid Values are 'True' or 'False'. | No |

#### ResponseFileConfigForCreate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileLevel | string | Denotes if the response COMM File configuration is defined to be delivered to the bank(B) or Company (C).  Valid values are B and C. | No |
| commFileId | string | Denotes the Comm File ID associated with the Response file outbound. Required if the file level is B. The Visa implementation team provides this value after the outbound response file configuration has been completed. | No |
| fileFormat | integer | Denotes the format in which the response file needs to be generated. Needs to be numeric. Valid values are 1 – XLS V0, 2 – CSV V0, 3 -  XLS V1, 4 – CSV V1 | No |
| recipientLoginIds | [ string ] | Contains the list of user ids of bank/buyer users who will be receiving the response file in their VOL mailbox.  You can setup upto 50 user ids to receive the response file. The user ids should have the VOL mailbox service entitled to them. | No |

#### UpdateSTPPaymentConfig Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| stpPaymentEnabled | boolean | Denotes if the STP Payments is enabled for a template (buyer).Optional field.  Valid values are 'True' or 'False'. This field can be set to true only if the bank STP Payments option is set to  'True'.  This field can be enabled (set to true) at any time but cannot be disabled if the sync Buyer Profiles is set to true. | No |
| remittanceNotificationEnabled | boolean | Denotes if the STP Payment Remittance notification is enabled for a template (buyer).  Valid values are 'True' or 'False'. This field can be set to true only if the bank STP Payment Remittance Notification option is set to 'True'. Only if this field is enabled, the STP supplier will be getting the payment remittance notification. This field can be edited at any time. | No |

#### ResponseFileConfigForGet-1 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileLevel | string | Denotes if the response COMM File configuration is defined to be delivered to the bank(B) or Company (C). | No |
| commFileId | string | Denotes the Comm File ID associated with the Response file outbound. The Visa implementation team provides this value after the outbound response file configuration has been completed. | No |
| fileFormat | integer | Denotes the format in which the response file needs to be generated. Valid values are 1 – XLS V0, 2 – CSV V0, 3 -  XLS V1, 4 – CSV V1 | No |
| recipientLoginIds | [ string ] | Contains the list of user ids of bank/buyer users who will be receiving the response file in their VOL mailbox. | No |

#### AuthorizationControlConfig Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| alertsEnabled | boolean | Denotes if the system needs to send an alert when an authorization on a VPC enabled card is approved or declined.  Valid values are 'True' and 'False'. This field can be set to True only if the authControlEnabled is set to true for the template. | No |
| issuerHoldingBID | string | Denotes the Holding BID (business id) for the issuer.  Should be numeric. Should be set only if authControlEnabled is set to true for the template. | No |
| authControlEnabled | boolean | Denotes if the authorization controls needs to be enabled for the template (in turn the buyer).  Auth controls is mandated for VPP and VIP buyers.  If the value for this field (the tag is not sent) is not provided, the system defaults it to True if mandate auth controls is set to 'True' for the bank otherwise the system defaults it to False. | No |

#### UpdateBoostPaymentConfig Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| boostPaymentEnabled | boolean | Denotes if the Boost Payments is enabled for a template (buyer).Optional field.  Valid values are 'True' or 'False'. This field can be set to true only if the bank Boost Payments option is set to  'True'.  This field can be enabled (set to true) at any time but cannot be disabled if the sync Buyer Profiles is set to true. | No |

#### GetBuyerSuccessResponseV2-1 Schema

Response for a successful fetch of a Buyer

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseObject | { **"messageId"**: string, **"vanConfig"**: { **"fcsBankId"**: string, **"vanEnabled"**: boolean, **"aceClientId"**: string, **"admClientId"**: string, **"mcADMOptionId"**: string, **"processingType"**: string, **"visaADMOptionId"**: string, **"settlementExpirationDays"**: integer }, **"statusCode"**: string, **"statusDesc"**: string, **"contactInfo"**: { **"city"**: string, **"state"**: string, **"phone1"**: string, **"phone2"**: string, **"phone3"**: string, **"buyerId"**: string, **"zipCode"**: string, **"buyerName"**: string, **"companyId"**: string, **"phone1Ext"**: string, **"phone2Ext"**: string, **"phone3Ext"**: string, **"templateId"**: string, **"contactName"**: string, **"countryCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string, **"emailAddress"**: string, **"implementationType"**: integer }, **"proxyConfig"**: { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean }, **"billingConfig"**: { **"billingBID"**: string, **"billingType"**: string }, **"paymentConfig"**: { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"defaultSecurityCode"**: boolean, **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean }, **"processorConfig"**: { **"embossedLine2"**: string, **"processorFields"**: object, **"suaEmbossedLine1"**: string, **"closeAccountEnabled"**: boolean, **"lodgedEmbossedLine1"**: string }, **"stpPaymentConfig"**: { **"stpPaymentEnabled"**: boolean, **"accountHolderLastName"**: string, **"accountHolderFirstName"**: string, **"remittanceNotificationEnabled"**: boolean }, **"paymentFileConfig"**: { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string }, **"webServicesConfig"**: { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean }, **"boostPaymentConfig"**: { **"boostPaymentEnabled"**: boolean }, **"buyerFeatureConfig"**: { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean }, **"responseFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"recipientLoginIds"**: [ string ] }, **"stripePaymentConfig"**: { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean }, **"paymentSecurityConfig"**: { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean }, **"approvalWorkflowConfig"**: { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string, <br>**Available values:** "AUCL", "LCRC", "PYIN", "PYRN" ] }, **"reconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"deliveryTime"**: string, **"templateName"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ], **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean }, **"paymentNotificationConfig"**: { **"dateFormat"**: date, **"settlementSource"**: string, **"paymentAdviceTemplate"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationDays"**: string, **"defaultAttachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationEnabled"**: boolean, **"defaultSupplierReminderNotificationEnabled"**: boolean }, **"authorizationControlConfig"**: { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean, **"defaultAuthControlEnabled"**: boolean, **"authControlPaymentTemplate"**: string }, **"rvaReconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"templateId"**: string, **"deliveryTime"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ] } } | Get Buyer Response Class | No |
| responseStatus | { **"status"**: string, <br>**Available values:** "success", "error", **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } | Default API Response | No |

#### BuyerFeatureConfigForUpdate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| cardMaskingDigits | string | Denotes the number of digits that will be masked for the card number when displayed in all places other than UI like the recon file, response file, etc. Should be Numeric. Should be between 4 and 12.  This field can be updated at any time. | No |
| pseudoAccountsEnabled | boolean | Superseded by virtualAccountConfig. Still supported for backward compatibility. Denotes if "Pseudo Accounts" (VIP Tokens) option is enabled for the buyer.  Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for this Option.  This field can be enabled (set to true) but can not be disabled (set to false). If virtualAccountConfig.virtualAccountType is provided, it determines the effective virtual account type, and this field is automatically set to match it (rather than being independently honored). If virtualAccountConfig is omitted, this field's value is used instead to derive the virtual account type. | No |
| fullAccountViewEnabled | boolean | Denotes if "Full Account View" functionality is enabled for the buyer.  Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for this functionality. This field can be updated at any time. | No |
| cardMaskingDigitsOnline | string | Denotes the number of digits that will be masked for the card number when displayed in the UI. Should be Numeric. Should be between 4 and 12.  This field can be updated at any time. | No |
| onlinePaymentInstructionEnabled | boolean | Denotes if Online payment instruction (Pay Now) functionality is enabled for the buyer. Valid Values are 'True' and 'False'.  The value can be set to true only if the bank is enabled for Online Payment Instructions.  This field can be updated at any time. | No |
| onlinePaymentRequisitionEnabled | boolean | Denotes if Online payment Requisition functionality is enabled for the buyer.  If the value for this field (the tag is not sent) is not provided, the system defaults it to False.   Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for Online Payment Requisitions. This field can be updated at any time. | No |

#### GetReconciliationFileConfig Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| commFileId | string | Comm file Id refers to Comm File info associated with the recon file outbound delivery.Required if ReconFileDelivery is set to Comms. | No |
| templateName | string | Denotes the name of the custom Reconciliation template to be used for generating the reconciliation file for all buyers using the template. | No |
| adhocReconciliationReportEnabled | boolean | Denotes if Adhoc Reconciliation functionality is enabled for the template (buyers). | No |
| onlinePaymentReconciliationEnabled | boolean | Denotes if Online payment Reconciliation functionality is enabled for the template (buyers). | No |

#### GetBuyerSuccessResponse Schema

Response for a successful fetch of a Buyer

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseObject | { **"messageId"**: string, **"vanConfig"**: { **"fcsBankId"**: string, **"vanEnabled"**: boolean, **"aceClientId"**: string, **"admClientId"**: string, **"mcADMOptionId"**: string, **"processingType"**: string, **"visaADMOptionId"**: string, **"settlementExpirationDays"**: integer }, **"statusCode"**: string, **"statusDesc"**: string, **"contactInfo"**: { **"city"**: string, **"state"**: string, **"phone1"**: string, **"phone2"**: string, **"phone3"**: string, **"buyerId"**: string, **"zipCode"**: string, **"buyerName"**: string, **"companyId"**: string, **"phone1Ext"**: string, **"phone2Ext"**: string, **"phone3Ext"**: string, **"templateId"**: string, **"contactName"**: string, **"countryCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string, **"emailAddress"**: string, **"implementationType"**: integer }, **"proxyConfig"**: { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean }, **"billingConfig"**: { **"billingBID"**: string, **"billingType"**: string }, **"paymentConfig"**: { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"defaultSecurityCode"**: boolean, **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean }, **"processorConfig"**: { **"embossedLine2"**: string, **"processorFields"**: object, **"suaEmbossedLine1"**: string, **"closeAccountEnabled"**: boolean, **"lodgedEmbossedLine1"**: string }, **"stpPaymentConfig"**: { **"stpPaymentEnabled"**: boolean, **"accountHolderLastName"**: string, **"accountHolderFirstName"**: string, **"remittanceNotificationEnabled"**: boolean }, **"paymentFileConfig"**: { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string }, **"webServicesConfig"**: { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean }, **"boostPaymentConfig"**: { **"boostPaymentEnabled"**: boolean }, **"buyerFeatureConfig"**: { **"cardMaskingDigits"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean }, **"responseFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"recipientLoginIds"**: [ string ] }, **"stripePaymentConfig"**: { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean }, **"paymentSecurityConfig"**: { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean }, **"approvalWorkflowConfig"**: { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string, <br>**Available values:** "AUCL", "LCRC", "PYIN", "PYRN" ] }, **"reconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"deliveryTime"**: string, **"templateName"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ], **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean }, **"paymentNotificationConfig"**: { **"dateFormat"**: date, **"settlementSource"**: string, **"paymentAdviceTemplate"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationDays"**: string, **"defaultAttachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationEnabled"**: boolean, **"defaultSupplierReminderNotificationEnabled"**: boolean }, **"authorizationControlConfig"**: { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean, **"defaultAuthControlEnabled"**: boolean, **"authControlPaymentTemplate"**: string }, **"rvaReconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"templateId"**: string, **"deliveryTime"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ] } } | Get Buyer Response Class | No |
| responseStatus | { **"status"**: string, <br>**Available values:** "success", "error", **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } | Default API Response | No |

#### VanConfigForCreate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fcsBankId | string | Denotes the Bank Identifier in the TSYS VPP FCS system.  This value will be provided by the Visa implementation team. If the value for this field (the tag is not sent) is not provided, the system defaults it to the bank FCS ID if there is only one setup at the bank level. Supports alphanumeric values. Required if the buyer is enabled for VANs. | No |
| vanEnabled | boolean | Denotes if "VANs" (VPP Tokens) are enabled for the buyer. Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for this Option. | No |
| admClientId | string | Denotes the number the TSYS VPP system uses to identify the company on the ACE Decision Max system for account assignment. This value will be provided by the Visa implementation team. | No |
| mcADMOptionId | string | Denotes the option that will be used to assign the virtual account number in the TSYS VPP platform. For the TS1 platform only, the option must be set up to assign a virtual account number from the same BIN as the primary account number. This value will be provided by the Visa implementation team.  If it is a Mastercard  bank, then this field is required. | No |
| processingType | string | Denotes the Processing type for the virtual account number (VAN). This value will be provided by the Visa implementation team. | No |
| visaADMOptionId | string | Denotes the option that will be used to assign the virtual account number in the TSYS VPP platform. For the TS1 platform only, the option must be set up to assign a virtual account number from the same BIN as the primary account number. If it is a Visa bank, then this field is required. This value will be provided by the Visa implementation team. | No |

#### BuyerFeatureConfigForGetV2 Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| cardMaskingDigits | string | Denotes the number of digits that will be masked for the card number when displayed in all places other than UI like the recon file, response file, etc. | No |
| vcfDataFeedIndicator | string | The vcfDataFeedIndicator is used for indicating the source of transactions/settlement data for this company. This value should be “Yes” if the FI/Processor is going to send settled transactions for the company [e.g. inbound Visa Commercial Format (VCF)]. It should be “No” if the company requires Visa to pull the settlement data over the Visa Network.   | No |
| pseudoAccountsEnabled | boolean | Superseded by virtualAccountConfig. Still supported for backward compatibility. Denotes if "Pseudo Accounts" (VIP Tokens) option is enabled for the buyer. If virtualAccountConfig.virtualAccountType is provided, it determines the effective virtual account type, and this field is automatically set to match it (rather than being independently honored). If virtualAccountConfig is omitted, this field's value is used instead to derive the virtual account type. | No |
| fullAccountViewEnabled | boolean | Denotes if "Full Account View" functionality is enabled for the buyer. | No |
| cardMaskingDigitsOnline | string | Denotes the number of digits that will be masked for the card number when displayed in the UI. | No |
| onlinePaymentInstructionEnabled | boolean | Denotes if Online payment instruction (Pay Now) functionality is enabled for the buyer. | No |
| onlinePaymentRequisitionEnabled | boolean | Denotes if Online payment Requisition functionality is enabled for the buyer. | No |

#### GetBuyerSuccessResponseV2-2 Schema

Response for a successful fetch of a Buyer

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseObject | { **"messageId"**: string, **"vanConfig"**: { **"fcsBankId"**: string, **"vanEnabled"**: boolean, **"aceClientId"**: string, **"admClientId"**: string, **"mcADMOptionId"**: string, **"processingType"**: string, **"visaADMOptionId"**: string, **"settlementExpirationDays"**: integer }, **"statusCode"**: string, **"statusDesc"**: string, **"contactInfo"**: { **"city"**: string, **"state"**: string, **"phone1"**: string, **"phone2"**: string, **"phone3"**: string, **"buyerId"**: string, **"zipCode"**: string, **"buyerName"**: string, **"companyId"**: string, **"phone1Ext"**: string, **"phone2Ext"**: string, **"phone3Ext"**: string, **"templateId"**: string, **"contactName"**: string, **"countryCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string, **"emailAddress"**: string, **"implementationType"**: integer }, **"proxyConfig"**: { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean }, **"billingConfig"**: { **"billingBID"**: string, **"billingType"**: string }, **"paymentConfig"**: { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"defaultSecurityCode"**: boolean, **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean }, **"processorConfig"**: { **"embossedLine2"**: string, **"processorFields"**: object, **"suaEmbossedLine1"**: string, **"closeAccountEnabled"**: boolean, **"lodgedEmbossedLine1"**: string }, **"stpPaymentConfig"**: { **"stpPaymentEnabled"**: boolean, **"accountHolderLastName"**: string, **"accountHolderFirstName"**: string, **"remittanceNotificationEnabled"**: boolean }, **"paymentFileConfig"**: { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string }, **"webServicesConfig"**: { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"vbdsDataSubscription"**: [ { **"dataSubscriptionType"**: number, **"dataSubscriptionAccountType"**: [ { **"subscribed"**: boolean, **"accountType"**: string } ] } ], **"suppressSupplierNotification"**: boolean }, **"boostPaymentConfig"**: { **"boostPaymentEnabled"**: boolean }, **"buyerFeatureConfig"**: { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean }, **"responseFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"recipientLoginIds"**: [ string ] }, **"stripePaymentConfig"**: { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean }, **"paymentSecurityConfig"**: { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean }, **"approvalWorkflowConfig"**: { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string, <br>**Available values:** "AUCL", "LCRC", "PYIN", "PYRN" ] }, **"reconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"deliveryTime"**: string, **"templateName"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ], **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean }, **"paymentNotificationConfig"**: { **"dateFormat"**: date, **"settlementSource"**: string, **"paymentAdviceTemplate"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationDays"**: string, **"defaultAttachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationEnabled"**: boolean, **"defaultSupplierReminderNotificationEnabled"**: boolean }, **"authorizationControlConfig"**: { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean, **"defaultAuthControlEnabled"**: boolean, **"authControlPaymentTemplate"**: string }, **"rvaReconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"templateId"**: string, **"deliveryTime"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ] } } | Get Buyer Response Class | No |
| responseStatus | { **"status"**: string, <br>**Available values:** "success", "error", **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } | Default API Response | No |

#### RvaReconciliationFileConfigForCreate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| fileLevel | string | Denotes if the RVA recon COMM File configuration is defined to be delivered to the bank(B) or Company (C).  Valid values are B - Bank and C - Company. | No |
| commFileId | string | Denotes the Comm File ID associated with the RVA recon file outbound. Required if the file level is B. The Visa implementation team provides this value after the outbound RVA recon file configuration has been completed. | No |
| fileFormat | integer | Denotes the format in which the RVA recon file needs to be generated. Needs to be numeric. Valid values are 1 – XLS V0, 2 – CSV V0, 3 -  XLS V1, 4 – CSV V1 | No |
| templateId | string | Denotes the id of the recon template to be used for generating the RVA reconciliation file. The template id is returned in the response when you create a new template.  If the value for this field (the tag is not sent) is not provided, the system defaults it to the latest RVA recon standard template (currentyly 1).  Valid values are 1 - RVA Recon standard template Version 1.0 | No |
| deliveryTime | string | Denotes the delivery type or day when the RVA recon file needs to be generated and delivered. If the value for this field (the tag is not sent) is not provided, the system defaults it to'1:00' AM for the daily frequency and 1 for weekly and monthly frequency.   Valid format for the time for the daily frequency is 'HH:MM' in 24 hours format.  Valid values for the Weekly frequency  1 to 7 denoting the days.  1 being Sunday and 7 being Saturday and Monthly Frequency 1 to 31 | No |
| deliveryFrequency | integer | Denotes the frequency in which the RVA recon file needs to be delivered. Needs to be numeric. Valid values are 1 – Daily 2 – Weekly 3 - Monthly | No |
| recipientLoginIds | [ string ] | Contains the list of user ids of bank/buyer users who will be receiving the RVA recon file in their VOL mailbox. You can setup upto 50 user ids to receive the RVA recon file.The user ids should have the VOL mailbox service entitled to them. | No |

#### GetBuyerSuccessResponseV2-3 Schema

Response for a successful fetch of a Buyer

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseObject | { **"messageId"**: string, **"vanConfig"**: { **"fcsBankId"**: string, **"vanEnabled"**: boolean, **"aceClientId"**: string, **"admClientId"**: string, **"mcADMOptionId"**: string, **"processingType"**: string, **"visaADMOptionId"**: string, **"settlementExpirationDays"**: integer }, **"statusCode"**: string, **"statusDesc"**: string, **"contactInfo"**: { **"city"**: string, **"state"**: string, **"phone1"**: string, **"phone2"**: string, **"phone3"**: string, **"buyerId"**: string, **"zipCode"**: string, **"buyerName"**: string, **"companyId"**: string, **"phone1Ext"**: string, **"phone2Ext"**: string, **"phone3Ext"**: string, **"templateId"**: string, **"contactName"**: string, **"countryCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string, **"emailAddress"**: string, **"implementationType"**: integer }, **"proxyConfig"**: { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean }, **"billingConfig"**: { **"billingBID"**: string, **"billingType"**: string }, **"paymentConfig"**: { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"defaultSecurityCode"**: boolean, **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean }, **"processorConfig"**: { **"embossedLine2"**: string, **"processorFields"**: object, **"suaEmbossedLine1"**: string, **"closeAccountEnabled"**: boolean, **"lodgedEmbossedLine1"**: string }, **"stpPaymentConfig"**: { **"stpPaymentEnabled"**: boolean, **"accountHolderLastName"**: string, **"accountHolderFirstName"**: string, **"remittanceNotificationEnabled"**: boolean }, **"paymentFileConfig"**: { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string }, **"webServicesConfig"**: { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"vbdsDataSubscription"**: [ { **"dataSubscriptionType"**: number, **"dataSubscriptionAccountType"**: [ { **"subscribed"**: boolean, **"accountType"**: string } ] } ], **"suppressSupplierNotification"**: boolean }, **"boostPaymentConfig"**: { **"boostPaymentEnabled"**: boolean }, **"buyerFeatureConfig"**: { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean }, **"responseFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"recipientLoginIds"**: [ string ] }, **"stripePaymentConfig"**: { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean }, **"paymentSecurityConfig"**: { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean }, **"approvalWorkflowConfig"**: { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string, <br>**Available values:** "AUCL", "LCRC", "PYIN", "PYRN" ] }, **"reconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"deliveryTime"**: string, **"templateName"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ], **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean }, **"paymentNotificationConfig"**: { **"dateFormat"**: date, **"settlementSource"**: string, **"paymentAdviceTemplate"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationDays"**: string, **"defaultAttachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationEnabled"**: boolean, **"defaultSupplierReminderNotificationEnabled"**: boolean }, **"authorizationControlConfig"**: { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean, **"defaultAuthControlEnabled"**: boolean, **"authControlPaymentTemplate"**: string }, **"rvaReconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"templateId"**: string, **"deliveryTime"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ] } } | Get Buyer Response Class | No |
| responseStatus | { **"status"**: string, <br>**Available values:** "success", "error", **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } | Default API Response | No |

#### GetBuyerSuccessResponseV2-4 Schema

Response for a successful fetch of a Buyer

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| responseObject | { **"messageId"**: string, **"vanConfig"**: { **"fcsBankId"**: string, **"vanEnabled"**: boolean, **"aceClientId"**: string, **"admClientId"**: string, **"mcADMOptionId"**: string, **"processingType"**: string, **"visaADMOptionId"**: string, **"settlementExpirationDays"**: integer }, **"statusCode"**: string, **"statusDesc"**: string, **"contactInfo"**: { **"city"**: string, **"state"**: string, **"phone1"**: string, **"phone2"**: string, **"phone3"**: string, **"buyerId"**: string, **"zipCode"**: string, **"buyerName"**: string, **"companyId"**: string, **"phone1Ext"**: string, **"phone2Ext"**: string, **"phone3Ext"**: string, **"templateId"**: string, **"contactName"**: string, **"countryCode"**: string, **"addressLine1"**: string, **"addressLine2"**: string, **"addressLine3"**: string, **"emailAddress"**: string, **"implementationType"**: integer }, **"proxyConfig"**: { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean }, **"billingConfig"**: { **"billingBID"**: string, **"billingType"**: string }, **"paymentConfig"**: { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"defaultSecurityCode"**: boolean, **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean }, **"processorConfig"**: { **"embossedLine2"**: string, **"processorFields"**: object, **"suaEmbossedLine1"**: string, **"closeAccountEnabled"**: boolean, **"lodgedEmbossedLine1"**: string }, **"stpPaymentConfig"**: { **"stpPaymentEnabled"**: boolean, **"accountHolderLastName"**: string, **"accountHolderFirstName"**: string, **"remittanceNotificationEnabled"**: boolean }, **"paymentFileConfig"**: { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string }, **"webServicesConfig"**: { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"vbdsDataSubscription"**: [ { **"dataSubscriptionType"**: number, **"dataSubscriptionAccountType"**: [ { **"subscribed"**: boolean, **"accountType"**: string } ] } ], **"suppressSupplierNotification"**: boolean }, **"boostPaymentConfig"**: { **"boostPaymentEnabled"**: boolean }, **"buyerFeatureConfig"**: { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean }, **"responseFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"recipientLoginIds"**: [ string ] }, **"stripePaymentConfig"**: { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean }, **"virtualAccountConfig"**: [ { **"virtualAccountType"**: string, **"additionalParameters"**: [ { **"parameterName"**: string, <br>**Available values:** "fcsBankId", "admClientId", "processingType", "visaADMOptionId", "mcADMOptionId", **"parameterValue"**: string } ] } ], **"paymentSecurityConfig"**: { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean }, **"approvalWorkflowConfig"**: { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string, <br>**Available values:** "AUCL", "LCRC", "PYIN", "PYRN" ] }, **"reconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"deliveryTime"**: string, **"templateName"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ], **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean }, **"paymentNotificationConfig"**: { **"dateFormat"**: date, **"settlementSource"**: string, **"paymentAdviceTemplate"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationDays"**: string, **"defaultAttachRemittanceDetailsFile"**: boolean, **"supplierReminderNotificationEnabled"**: boolean, **"defaultSupplierReminderNotificationEnabled"**: boolean }, **"authorizationControlConfig"**: { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean, **"defaultAuthControlEnabled"**: boolean, **"authControlPaymentTemplate"**: string }, **"rvaReconciliationFileConfig"**: { **"fileLevel"**: string, **"commFileId"**: string, **"fileFormat"**: integer, **"templateId"**: string, **"deliveryTime"**: string, **"deliveryFrequency"**: integer, **"recipientLoginIds"**: [ string ] } } | Get Buyer Response Class | No |
| responseStatus | { **"status"**: string, <br>**Available values:** "success", "error", **"messageId"**: string, **"statusCode"**: string, **"statusDesc"**: string } | Default API Response | No |

#### ApprovalWorkflowConfigForCreate Schema

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| workflowConfigEnabled | boolean | Denotes if the Approval Workflow is enabled for the Buyer.  If the value for this field (the tag is not sent) is not provided, the system defaults it false.   Valid Values are 'True' and 'False'. The value can be set to true only if the bank is enabled for this Option. | No |
| workflowFunctionCodes | [ string, <br>**Available values:** "AUCL", "LCRC", "PYIN", "PYRN" ] | Denotes the codes for the functionalities for which Approval Workflow needs to be enabled. Valid Values are AUCL - Card Limit Update, LCRC - Lodge/New Card, PYIN - Payment Instruction, PYRN - Payment Requisition At least one function should be passed in this field if workflowconfigenabled field is set to true for the buyer. | No |

#### GetBuyerTemplateResponse Schema

Get Buyer Template Response

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } | Deprecated — superseded by virtualAccountConfig. Still supported for backward compatibility. | No |
| templateId | string | Unique Identifier for a Template. It should be alphanumeric.  Should be an existing template id associated with the bank (associated to the client id).  The template id is returned in the response of the GetTemplate API. | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Name of the template | No |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | No |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Description of the template. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | No |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### GetBuyerTemplateResponseV2-2 Schema

Get Buyer Template Response V2

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } |  | No |
| templateId | string | Unique Identifier for a Template. It should be alphanumeric.  Should be an existing template id associated with the bank (associated to the client id).  The template id is returned in the response of the GetTemplate API. | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Name of the template | No |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | No |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Description of the template. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | No |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### ProcessorConfigForGet Schema

This section is used if the issuer has processor integration enabled.  When using processor PANs, the following processors can be enabled for processor integration: FIS, FDR, TS1, TS2, and TSUK.    When using Visa Pseudo accounts or TSYS VANs, processor integration is not required but if it is enabled the system goes to the processor to retrieve the latest values (such as expiry date, current balance and available balance for the funding accounts).  The fields vary for each processor so refer to the details <a href="/pages/B2B-virtual-account-payment-method-codes#buyer_setup_details"> Buyer Setup Details </a> page for more information on which fields are required for each processor. If using TSYS VPP VANs or Visa VIP Pseudo Accounts, defaults values can be used.  Please refer to the Buyer Setup Details page for the defaults

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| embossedLine2 | string | Denotes the default embossedLine2 for cards.  This usually is the buyer name prefixed by a running number for FIS and buyer name followed by a running number for other processors<br>**Read-only** | No |
| processorFields | object |  | No |
| suaEmbossedLine1 | string | Denotes the default embossedLine1 for SUA cards.  This usually is the buyer name prefixed by a running number for FIS and buyer name followed by a running number for other processors<br>**Read-only** | No |
| closeAccountEnabled | boolean | Default to Yes if processor integration is enabled for the bank. Default to N if Processor integration is not enabled for the bank. Default to Y if the buyer is enabled for VIP/VPP tokens. | No |
| lodgedEmbossedLine1 | string | Denotes the default embossedLine1 for lodged cards.  This usually is the Supplier name prefixed by a running number for FIS and Supplier name followed by a running number for other processors<br>**Read-only** | No |

#### GetBuyerTemplateResponseV2-1 Schema

Get Buyer Template Response V2

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } |  | No |
| templateId | string | Unique Identifier for a Template. It should be alphanumeric.  Should be an existing template id associated with the bank (associated to the client id).  The template id is returned in the response of the GetTemplate API. | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Name of the template | No |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | No |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| webServicesConfig | { **"apiCodes"**: [ string ], **"clientId"**: string, **"vbdsClientId"**: string, **"webServicesEnabled"**: boolean, **"suppressSupplierNotification"**: boolean } |  | No |
| boostPaymentConfig | { **"boostPaymentEnabled"**: boolean } |  | No |
| buyerFeatureConfig | { **"cardMaskingDigits"**: string, **"vcfDataFeedIndicator"**: string, **"pseudoAccountsEnabled"**: boolean, **"fullAccountViewEnabled"**: boolean, **"cardMaskingDigitsOnline"**: string, **"onlinePaymentInstructionEnabled"**: boolean, **"onlinePaymentRequisitionEnabled"**: boolean } |  | No |
| responseFileConfig | { **"commFileId"**: string } |  | No |
| stripePaymentConfig | { **"stripePaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
| templateDescription | string | Description of the template. | No |
| paymentFileCommConfig | { **"edi824FileId"**: string, **"edi997FileId"**: string, **"inboundFileId"**: string } | PaymentFileCommConfig contains the comm file configuration for inbound EDI 820, and outbound EDI 997 and EDI 824. | No |
| paymentSecurityConfig | { **"customSecurityQuestions"**: [ string ], **"defaultSecurityQuestion"**: string, **"defaultSecurityFieldCode"**: string, **"customSecurityQuestionsEnabled"**: boolean } |  | No |
| approvalWorkflowConfig | { **"workflowConfigEnabled"**: boolean, **"workflowFunctionCodes"**: [ string ] } | Parent tag which contains the approval workflow configurations. | No |
| reconciliationFileConfig | { **"commFileId"**: string, **"templateName"**: string, **"adhocReconciliationReportEnabled"**: boolean, **"onlinePaymentReconciliationEnabled"**: boolean } |  | No |
| paymentNotificationConfig | { **"dateFormat"**: string, **"defaultBuyerLanguageCode"**: string, **"attachRemittanceFileDetails"**: boolean, **"supplierReminderNotificationDays"**: string, **"supplierReminderNotificationEnabled"**: boolean } |  | No |
| authorizationControlConfig | { **"alertsEnabled"**: boolean, **"issuerHoldingBID"**: string, **"authControlEnabled"**: boolean } |  | No |
| rvaReconciliationFileConfig | { **"commFileId"**: string, **"templateId"**: string } |  | No |

#### GetBuyerTemplateResponseV2-4 Schema

Get Buyer Template Response V2

| Name | Type | Description | Required |
| ---- | ---- | ----------- | -------- |
| vanConfig | { **"fcsBankId"**: string, **"vanEnabled"**: boolean } |  | No |
| templateId | string | Unique Identifier for a Template. It should be alphanumeric.  Should be an existing template id associated with the bank (associated to the client id).  The template id is returned in the response of the GetTemplate API. | No |
| contactInfo | { **"phone1"**: string, **"emailAddress"**: string, **"implementationType"**: integer } |  | No |
| proxyConfig | { **"holdDays"**: string, **"autoRefreshEnabled"**: boolean, **"bucketedProxyEnabled"**: boolean } |  | No |
| templateName | string | Name of the template | No |
| billingConfig | { **"billingBID"**: string, **"billingType"**: string } |  | No |
| paymentConfig | { **"expirationDays"**: string, **"billingCurrency"**: string, **"allowableCurrencies"**: [ string ], **"paymentAdviceOption"**: string, **"expirationBufferDays"**: string, **"securityCodeRequired"**: boolean } |  | No |
| processorConfig | { **"closeAccount"**: boolean } |  | No |
| stpPaymentConfig | { **"stpPaymentEnabled"**: boolean, **"remittanceNotificationEnabled"**: boolean } |  | No |
[...]
